#include <iostream>
#include <vector>
using namespace std;

int main() {
	long long n;
	cin >> n;
	vector<pair<long long, long long>> tacke(n);
	long long s = 0;
	long long minx = 100001, miny = 100001;
	long long maxx = -100001, maxy = -100001;
	for (int i = 1; i <= n; i++) {
		long long x, y;
		cin >> x >> y;
		minx = x < minx ? x : minx;
		miny = y < miny ? y : miny;
		maxx = x > maxx ? x : maxx;
		maxy = y > maxy ? y : maxy;
		tacke[i-1] = { x,y };
		for (long long j = 0; j < 4; j++) {
			long long xa, ya;
			long long st = 0;
			switch (j) {
			case 0: xa = minx; ya = miny; break;
			case 1: xa = minx; ya = maxy; break;
			case 2: xa = maxx; ya = miny; break;
			case 3: xa = maxx; ya = maxy; break;
			}
			for (long long k = 0; k < i; k++) {
				long long xi = tacke[k].first;
				long long yi = tacke[k].second;
				st += abs((xi - xa) * (yi - ya));
			}
			s = (st > s ? st : s);
		}
		cout << s%1000000007 << "\n";
	}
}